summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexander Huemer <alexander.huemer@sbg.ac.at>2009-04-26 03:37:03 +0200
committerAlexander Huemer <alexander.huemer@sbg.ac.at>2009-04-26 03:37:03 +0200
commit6a2f663b5d68091658a66db949f7dc422358a918 (patch)
tree8a67dc5f811006b32201dbfb69da7757ba05dcc4 /dev-lang
parentbumped dev-lang/t{cl,k} to latest ~ (8.5.7) (diff)
downloadmultilib-portage-6a2f663b5d68091658a66db949f7dc422358a918.tar.gz
multilib-portage-6a2f663b5d68091658a66db949f7dc422358a918.tar.bz2
multilib-portage-6a2f663b5d68091658a66db949f7dc422358a918.zip
bumped x11-libs/startup-notification to latest ~ (0.10)
Diffstat (limited to 'dev-lang')
-rw-r--r--dev-lang/tcl/tcl-8.5.7.ebuild108
-rw-r--r--dev-lang/tk/tk-8.5.7.ebuild104
2 files changed, 212 insertions, 0 deletions
diff --git a/dev-lang/tcl/tcl-8.5.7.ebuild b/dev-lang/tcl/tcl-8.5.7.ebuild
new file mode 100644
index 000000000..3c0b583dd
--- /dev/null
+++ b/dev-lang/tcl/tcl-8.5.7.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/tcl/tcl-8.5.7.ebuild,v 1.1 2009/04/17 18:56:08 mescalinum Exp $
+
+EAPI="2"
+
+WANT_AUTOCONF=latest
+WANT_AUTOMAKE=latest
+
+inherit autotools eutils multilib toolchain-funcs multilib-native
+
+MY_P="${PN}${PV/_beta/b}"
+DESCRIPTION="Tool Command Language"
+HOMEPAGE="http://www.tcl.tk/"
+SRC_URI="mirror://sourceforge/tcl/${MY_P}-src.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
+IUSE="debug threads"
+
+DEPEND=""
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_setup() {
+ if use threads ; then
+ ewarn ""
+ ewarn "PLEASE NOTE: You are compiling ${P} with"
+ ewarn "threading enabled."
+ ewarn "Threading is not supported by all applications"
+ ewarn "that compile against tcl. You use threading at"
+ ewarn "your own discretion."
+ ewarn ""
+ epause 5
+ fi
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}"/${PN}-8.5_alpha6-multilib.patch
+
+ # Bug 125971
+ epatch "${FILESDIR}"/${PN}-8.5_alpha6-tclm4-soname.patch
+
+ cd "${S}"/unix
+ eautoreconf
+}
+
+multilib-native_src_configure_internal() {
+ tc-export CC
+
+ cd "${S}"/unix
+ econf \
+ $(use_enable threads) \
+ $(use_enable debug symbols) || die
+}
+
+multilib-native_src_install_internal() {
+ #short version number
+ local v1
+ v1=${PV%.*}
+
+ cd "${S}"/unix
+ S= emake DESTDIR="${D}" install || die
+
+ # fix the tclConfig.sh to eliminate refs to the build directory
+ local mylibdir=$(get_libdir) ; mylibdir=${mylibdir//\/}
+ sed -i \
+ -e "s,^TCL_BUILD_LIB_SPEC='-L.*/unix,TCL_BUILD_LIB_SPEC='-L$/usr/${mylibdir}," \
+ -e "s,^TCL_SRC_DIR='.*',TCL_SRC_DIR='/usr/${mylibdir}/tcl${v1}/include'," \
+ -e "s,^TCL_BUILD_STUB_LIB_SPEC='-L.*/unix,TCL_BUILD_STUB_LIB_SPEC='-L/usr/${mylibdir}," \
+ -e "s,^TCL_BUILD_STUB_LIB_PATH='.*/unix,TCL_BUILD_STUB_LIB_PATH='/usr/${mylibdir}," \
+ -e "s,^TCL_LIB_FILE='libtcl${v1}..TCL_DBGX..so',TCL_LIB_FILE=\"libtcl${v1}\$\{TCL_DBGX\}.so\"," \
+ -e "s,^TCL_CC_SEARCH_FLAGS='\(.*\)',TCL_CC_SEARCH_FLAGS='\1:/usr/${mylibdir}'," \
+ -e "s,^TCL_LD_SEARCH_FLAGS='\(.*\)',TCL_LD_SEARCH_FLAGS='\1:/usr/${mylibdir}'," \
+ "${D}"/usr/${mylibdir}/tclConfig.sh || die
+
+ # install private headers
+ insinto /usr/${mylibdir}/tcl${v1}/include/unix
+ doins "${S}"/unix/*.h || die
+ insinto /usr/${mylibdir}/tcl${v1}/include/generic
+ doins "${S}"/generic/*.h || die
+ rm -f "${D}"/usr/${mylibdir}/tcl${v1}/include/generic/tcl.h
+ rm -f "${D}"/usr/${mylibdir}/tcl${v1}/include/generic/tclDecls.h
+ rm -f "${D}"/usr/${mylibdir}/tcl${v1}/include/generic/tclPlatDecls.h
+
+ # install symlink for libraries
+ dosym libtcl${v1}.so /usr/${mylibdir}/libtcl.so
+ dosym libtclstub${v1}.a /usr/${mylibdir}/libtclstub.a
+
+ dosym tclsh${v1} /usr/bin/tclsh
+
+ cd "${S}"
+ dodoc ChangeLog* README changes
+}
+
+pkg_postinst() {
+ ewarn
+ ewarn "If you're upgrading from <dev-lang/tcl-8.5, you must recompile the other"
+ ewarn "packages on your system that link with tcl after the upgrade"
+ ewarn "completes. To perform this action, please run revdep-rebuild"
+ ewarn "in package app-portage/gentoolkit."
+ ewarn "If you have dev-lang/tk and dev-tcltk/tclx installed you should"
+ ewarn "upgrade them before this recompilation, too,"
+ ewarn
+}
diff --git a/dev-lang/tk/tk-8.5.7.ebuild b/dev-lang/tk/tk-8.5.7.ebuild
new file mode 100644
index 000000000..17e61408f
--- /dev/null
+++ b/dev-lang/tk/tk-8.5.7.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/tk/tk-8.5.7.ebuild,v 1.1 2009/04/17 19:14:15 mescalinum Exp $
+
+EAPI="2"
+
+WANT_AUTOCONF=latest
+WANT_AUTOMAKE=latest
+
+inherit autotools eutils multilib toolchain-funcs multilib-native
+
+MY_P="${PN}${PV/_beta/b}"
+DESCRIPTION="Tk Widget Set"
+HOMEPAGE="http://www.tcl.tk/"
+SRC_URI="mirror://sourceforge/tcl/${MY_P}-src.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE="debug threads truetype"
+
+RDEPEND="x11-libs/libX11[lib32?]
+ ~dev-lang/tcl-${PV}[lib32?]"
+DEPEND="${RDEPEND}
+ truetype? ( x11-libs/libXft[lib32?] )
+ x11-libs/libXt[lib32?]
+ x11-proto/xproto"
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_setup() {
+ if use threads ; then
+ ewarn ""
+ ewarn "PLEASE NOTE: You are compiling ${P} with"
+ ewarn "threading enabled."
+ ewarn "Threading is not supported by all applications"
+ ewarn "that compile against tcl. You use threading at"
+ ewarn "your own discretion."
+ ewarn ""
+ epause 5
+ fi
+}
+
+multilib-native_src_prepare_internal() {
+ epatch "${FILESDIR}"/${PN}-8.4.11-multilib.patch
+
+ # Bug 125971
+ epatch "${FILESDIR}"/${PN}-8.5_alpha6-tclm4-soname.patch
+
+ cd "${S}"/unix
+ eautoreconf
+}
+
+multilib-native_src_configure_internal() {
+ tc-export CC
+ cd "${S}"/unix
+
+ local mylibdir=$(get_libdir) ; mylibdir=${mylibdir//\/}
+
+ econf \
+ --with-tcl=/usr/${mylibdir} \
+ $(use_enable threads) \
+ $(use_enable truetype xft) \
+ $(use_enable debug symbols) || die
+}
+
+multilib-native_src_install_internal() {
+ #short version number
+ local v1
+ v1=${PV%.*}
+
+ cd "${S}"/unix
+ S= emake DESTDIR="${D}" install || die
+
+ # fix the tkConfig.sh to eliminate refs to the build directory
+ local mylibdir=$(get_libdir) ; mylibdir=${mylibdir//\/}
+ sed -i \
+ -e "s,^\(TK_BUILD_LIB_SPEC='-L\)${S}/unix,\1/usr/${mylibdir}," \
+ -e "s,^\(TK_SRC_DIR='\)${S}',\1/usr/${mylibdir}/tk${v1}/include'," \
+ -e "s,^\(TK_BUILD_STUB_LIB_SPEC='-L\)${S}/unix,\1/usr/${mylibdir}," \
+ -e "s,^\(TK_BUILD_STUB_LIB_PATH='\)${S}/unix,\1/usr/${mylibdir}," \
+ -e "s,^\(TK_CC_SEARCH_FLAGS='.*\)',\1:/usr/${mylibdir}'," \
+ -e "s,^\(TK_LD_SEARCH_FLAGS='.*\)',\1:/usr/${mylibdir}'," \
+ "${D}"/usr/${mylibdir}/tkConfig.sh || die
+
+ # install private headers
+ insinto /usr/${mylibdir}/tk${v1}/include/unix
+ doins "${S}"/unix/*.h || die
+ insinto /usr/${mylibdir}/tk${v1}/include/generic
+ doins "${S}"/generic/*.h || die
+ rm -f "${D}"/usr/${mylibdir}/tk${v1}/include/generic/tk.h
+ rm -f "${D}"/usr/${mylibdir}/tk${v1}/include/generic/tkDecls.h
+ rm -f "${D}"/usr/${mylibdir}/tk${v1}/include/generic/tkPlatDecls.h
+
+ # install symlink for libraries
+ #dosym libtk${v1}.a /usr/${mylibdir}/libtk.a
+ dosym libtk${v1}.so /usr/${mylibdir}/libtk.so
+ dosym libtkstub${v1}.a /usr/${mylibdir}/libtkstub.a
+
+ dosym wish${v1} /usr/bin/wish
+
+ cd "${S}"
+ dodoc ChangeLog* README changes
+}